# Definitional proc to organize widgets for parameters.
proc init_gui { IPINST } {
  ipgui::add_param $IPINST -name "Component_Name"
  #Adding Page
  set Page_0 [ipgui::add_page $IPINST -name "Page 0"]
  ipgui::add_param $IPINST -name "p_axi_addr_width" -parent ${Page_0}
  ipgui::add_param $IPINST -name "p_axi_data_width" -parent ${Page_0}
  ipgui::add_param $IPINST -name "p_clkin_freq" -parent ${Page_0}
  ipgui::add_param $IPINST -name "p_number_of_fans" -parent ${Page_0}
  ipgui::add_param $IPINST -name "p_pulse_stretch_timeout" -parent ${Page_0}
  ipgui::add_param $IPINST -name "p_pwm_freq" -parent ${Page_0}


}

proc update_PARAM_VALUE.p_axi_addr_width { PARAM_VALUE.p_axi_addr_width } {
	# Procedure called to update p_axi_addr_width when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.p_axi_addr_width { PARAM_VALUE.p_axi_addr_width } {
	# Procedure called to validate p_axi_addr_width
	return true
}

proc update_PARAM_VALUE.p_axi_data_width { PARAM_VALUE.p_axi_data_width } {
	# Procedure called to update p_axi_data_width when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.p_axi_data_width { PARAM_VALUE.p_axi_data_width } {
	# Procedure called to validate p_axi_data_width
	return true
}

proc update_PARAM_VALUE.p_clkin_freq { PARAM_VALUE.p_clkin_freq } {
	# Procedure called to update p_clkin_freq when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.p_clkin_freq { PARAM_VALUE.p_clkin_freq } {
	# Procedure called to validate p_clkin_freq
	return true
}

proc update_PARAM_VALUE.p_number_of_fans { PARAM_VALUE.p_number_of_fans } {
	# Procedure called to update p_number_of_fans when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.p_number_of_fans { PARAM_VALUE.p_number_of_fans } {
	# Procedure called to validate p_number_of_fans
	return true
}

proc update_PARAM_VALUE.p_pulse_stretch_timeout { PARAM_VALUE.p_pulse_stretch_timeout } {
	# Procedure called to update p_pulse_stretch_timeout when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.p_pulse_stretch_timeout { PARAM_VALUE.p_pulse_stretch_timeout } {
	# Procedure called to validate p_pulse_stretch_timeout
	return true
}

proc update_PARAM_VALUE.p_pwm_freq { PARAM_VALUE.p_pwm_freq } {
	# Procedure called to update p_pwm_freq when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.p_pwm_freq { PARAM_VALUE.p_pwm_freq } {
	# Procedure called to validate p_pwm_freq
	return true
}


proc update_MODELPARAM_VALUE.p_number_of_fans { MODELPARAM_VALUE.p_number_of_fans PARAM_VALUE.p_number_of_fans } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.p_number_of_fans}] ${MODELPARAM_VALUE.p_number_of_fans}
}

proc update_MODELPARAM_VALUE.p_clkin_freq { MODELPARAM_VALUE.p_clkin_freq PARAM_VALUE.p_clkin_freq } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.p_clkin_freq}] ${MODELPARAM_VALUE.p_clkin_freq}
}

proc update_MODELPARAM_VALUE.p_pwm_freq { MODELPARAM_VALUE.p_pwm_freq PARAM_VALUE.p_pwm_freq } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.p_pwm_freq}] ${MODELPARAM_VALUE.p_pwm_freq}
}

proc update_MODELPARAM_VALUE.p_pulse_stretch_timeout { MODELPARAM_VALUE.p_pulse_stretch_timeout PARAM_VALUE.p_pulse_stretch_timeout } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.p_pulse_stretch_timeout}] ${MODELPARAM_VALUE.p_pulse_stretch_timeout}
}

proc update_MODELPARAM_VALUE.p_axi_data_width { MODELPARAM_VALUE.p_axi_data_width PARAM_VALUE.p_axi_data_width } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.p_axi_data_width}] ${MODELPARAM_VALUE.p_axi_data_width}
}

proc update_MODELPARAM_VALUE.p_axi_addr_width { MODELPARAM_VALUE.p_axi_addr_width PARAM_VALUE.p_axi_addr_width } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.p_axi_addr_width}] ${MODELPARAM_VALUE.p_axi_addr_width}
}

